/**
* 
* @author José Rojel
* 
* 	CSVWriter implementa métodos que se obtienen de la API CSVCommons, esto
*	esto asegura la estandarización de la base de datos para su posterior portabilidad
*	a otras plataformas.
*	
*/

import org.apache.commons.csv.CSVFormat;
import org.apache.commons.csv.CSVPrinter;

import java.io.*;
import java.nio.file.Files;
import java.nio.file.Paths;
import java.util.*;

public class CSVWriter {
	private File file; 
	
	public CSVWriter(String file_name)	{
			file = new File(file_name);
		}
	
	public void makeFile() throws IOException {
		if(!file.exists()) {
			System.out.println("El arvchivo no existe, se ha creado");
		try(
				FileWriter writer = new FileWriter(file,false);
				CSVPrinter printer = new CSVPrinter(writer, CSVFormat
						.DEFAULT.withHeader(
								"ID", "Kilometros", "Combustible", "Pasajeros","Percepcion"));
			){}}
	}
	
	public void printSomething(ArrayList<String> iter) throws IOException {
		try(
				FileWriter writer = new FileWriter(file,true);
				CSVPrinter printer = new CSVPrinter(writer, CSVFormat
						.DEFAULT);
				){
			printer.printRecord(iter);
		}
		
	}
}
	